.student__title {
    font-weight: bold;
    font-size: 40px;
    letter-spacing: 0.02em;
    color: #000000;
    padding-top: 20px;
}

.timetable {
    font-weight: 500;
    font-size: 40px;
    letter-spacing: 0.01em;
    color: #000000;
    padding-left: 39px;
    padding-top: 20px;
}

.timetable__titles-lessons {
    font-weight: 300;
    font-size: 20px;
    line-height: 23px;
    letter-spacing: 0.02em;
    color: #000000;
    cursor: pointer;
}

.timetable__titles-session {
    font-weight: 300;
    font-size: 20px;
    line-height: 23px;
    letter-spacing: 0.02em;
    color: #000000;
    opacity: 0.32;
    cursor: pointer;
}

.timetable__titles {
    padding-top: 30px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 182px;
}

.timetable__black {
    width: 77px;
    height: 6px;
    position: absolute;
    margin-top: 12px;
    background: #9574E4;
}

.timetable__black-active {
    margin-left: 110px;
    width: 73px;
}

.timetable__titles-line {
    width: 1224px;
    margin-top: 16px;
    background: #9574E4;
    opacity: 0.16;
}

.timetable__block-title {
    font-weight: 300;
    font-size: 24px;
    letter-spacing: 0.02em;
    color: #000000;
    margin-top: 24px;
}

.timetable__block-bachelor {
    width: 704px;
    height: 63px;
    background: rgba(249, 249, 249, 1);
    padding: 9px 15px;
    border-radius: 4px;
}

.timetable__block-bachelor > span {
    font-weight: 300;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.56);
}

.timetable__block-magistr {
    width: 496px;
    height: 63px;
    background: #F9F9F9;
    padding: 11px 15px;
    border-radius: 4px;
}

.timetable__block-magistr > span {
    font-weight: 300;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.56);
}

.timetable__education-block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 28px;
    margin-bottom: 50px;
}

.timetable__education {
    width: 1224px;
}

.timetable__link {
    line-height: 24px;
    font-weight: 600;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.56);
    text-decoration: underline;
    display: block;
}

.timetable__block-weeks {
    width: 100%;
    background: #F9F9F9;
    border-radius: 4px;
}

.timetable__weeks-img {
    max-width: 100%;
    filter: drop-shadow(1px 1px 6px rgba(0, 0, 0, 0.12));
    border-radius: 16px;
    padding: 16px 10px 9px 10px;
}


@media (max-width: 1576px) {
    .timetable__content {
        width: 998px;
        margin: 0 auto;
    }

    .timetable__block-bachelor {
        margin-right: 24px;
    }

    .timetable__titles-line {
        width: 998px;
        margin-left: 0;
    }

    .timetable__education-block {
        width: 998px;
    }

    .timetable__block-bachelor {
        width: 598px;
    }

    .timetable__education {
        width: 998px;
    }

    .timetable__education-lessons {
        width: 998px;
    }

    .timetable__education-session {
        width: 998px;
    }

    .student__title {
        width: 998px;
        margin: 0 auto;
    }

    .timetable__link {
        font-size: 15px;
    }
}

@media (max-width: 1200px) {
    .timetable__titles-line {
        width: 870px;
    }

    .timetable__content {
        width: 890px;
        margin: 0 auto;
    }

    .student__title {
        width: 890px;
        margin: 0 auto;
    }

    .timetable__education {
        width: 890px;
    }

    .timetable__education-lessons {
        width: 890px;
    }

    .timetable__education-session {
        width: 890px;
    }

    .timetable__education-block {
        width: 865px;
    }

    .timetable__block-bachelor {
        width: 520px;
    }

    .timetable__block-magistr {
        width: 482px;
    }

    .timetable__link {
        font-size: 14px;
    }
}

@media (max-width: 991px) {
    .student__title {
        font-size: 40px;
        width: 780px;
    }

    .timetable__titles-session, .timetable__titles-lessons {
        font-size: 18px;
    }

    .timetable__black {
        width: 71px;
    }

    .timetable__black-active {
        margin-left: 99px;
        width: 68px;
    }

    .timetable__titles {
        width: 165px;
    }

    .timetable__titles-line {
        width: 780px;
    }

    .timetable__content {
        width: 780px;
    }

    .timetable__education {
        width: 780px;
    }

    .timetable__education-lessons {
        width: 780px;
    }

    .timetable__education-session {
        width: 780px;
    }

    .timetable__education-block {
        width: 780px;
        flex-wrap: wrap;
    }

    .timetable__block-bachelor {
        width: 100%;
        margin-right: 0;
    }

    .timetable__block-magistr {
        width: 100%;
        margin-top: 20px;
    }
}

@media (max-width: 820px) {
    .student__title {
        width: 90%;
    }

    .timetable__content {
        width: 90%;
    }

    .timetable__titles-line {
        width: 98%;
    }

    .timetable__education {
        width: 98%;
    }

    .timetable__education-lessons {
        width: 98%;
    }

    .timetable__education-block {
        width: 102%;
    }

    .timetable__education-session {
        width: 98%;
    }
}

@media (max-width: 510px) {
    .timetable__block-title {
        font-size: 20px;
    }

    .timetable__titles-line {
        width: 97%;
    }

    .timetable__education {
        width: 98%;
    }

    .timetable__block-bachelor {
        width: 97%;
        margin-right: 0;
    }

    .timetable__block-magistr {
        width: 97%;
        margin-top: 16px;

    }

    .height {
        height: 84px;
    }

    .timetable__weeks-img {
        padding: 5px 5px 0px 5px;
    }
}
